Foreman - Bug #17245

global_status = error filter does not show hosts with no "configuration" status
11/07/2016 04:17 AM - Julien Pivotto

Status: New
Priority: Normal
Assignee:

Category: Reporting
Target version:

Difficulty: Fixed in Releases:

Triaged: Found in Releases: 1.12.4
Bugzilla link: Red Hat JIRA:

Pull request:

Description

| have several hosts that have the "token expired” status. As they were meant to be rebuild, the foreman erased their configuration
status.

The status of the hosts is show as errored in the hosts list.

However, the filter global_status = error does not show them.

It does however show a node with "token expired" AND configuration = OK.
So:

Expected:

global_status = error returns hosts with:

- Configuration = OK and build = ERROR

- Configuration = ERROR and build = OK

- Configuration = nil and build = ERROR

Actual result:

global_status = error returns hosts with:

- Configuration = OK and build = ERROR
- Configuration = ERROR and build = OK

global_status = error does NOT return hosts with:
- Configuration = nil and build = ERROR

History

#1 - 11/07/2016 04:17 AM - Julien Pivotto

- Subject changed from global_status = error filter does not show hosts bith no "configuration” status to global_status = error filter does not show hosts
with no "configuration" status

#2 - 11/08/2016 03:37 AM - Dominic Cleal
- Category set to Reporting
